<?php
class GF_KlickTipp_Manager_Premium_Save_Cookie {
	function __construct() {
		add_action( 'plugins_loaded', array( $this, "maybe_save_kt_cookie" ) );
	}

	function maybe_save_kt_cookie( $wp ) {
		// Save KTM Table Password in Cookie
		if (  isset( $_POST['ktm_table_password_submit'] ) ) {
			if ( wp_verify_nonce( $_POST['ktm_table_password_nonce_field'], 'ktm_table_password_nonce' ) ) {
				setcookie( 'ktm_table_password', $_POST['ktm_table_password'], time() + ( 86400 * 360 ), "/" ); // 86400 = 1 day
				$_COOKIE['ktm_table_password'] = sanitize_text_field( $_POST['ktm_table_password'] );
			}

		}

	}
}

new GF_KlickTipp_Manager_Premium_Save_Cookie();
